Bug 181294 - Request for ATI Radeon X850Pro support
Request for ATI Radeon X850Pro support
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
http://gentoo-wiki.com/HOWTO_X850XT_A...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-12 17:42 EST by Brian Atkisson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 02:37:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Atkisson 2006-02-12 17:42:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
ATI's new Radeon X850 Pro uses a new PCI ID (4b6b), that is unsupported in the current kernel/xorg radeon drivers.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-1.EL.13.20 & kernel-2.6.9-22.0.2.EL

How reproducible:
Always

Steps to Reproduce:
1.install a X850 Pro card
2.
3.
  

Actual Results:  kernel module does not get loaded and X blows up when trying to use radeon driver.

Additional info:

The URL listed above kind of describes the problem, but with ATI's drivers.
Comment 1 Mike A. Harris 2006-03-08 02:37:29 EST
> Actual Results:  kernel module does not get loaded and X blows up when trying
> to use radeon driver.

This is strictly a radeon 2D driver support issue, and does not involve the
kernel.  The "radeon" kernel module is only used by hardware which is
supported by DRI, which is limited to R200 class hardware and older at
this time.

X11R7.0 is the first X.Org release to support this chip, which will be in
Fedora Core 5, and also in a future Red Hat Enterprise Linux release as well.

As this chip is not compatible with RHEL 4, users can use the "vesa" driver
for unaccelerated 2D operation for the time being, until a new OS release
containing the new version of X.Org is released which supports this chip.

Another option, albeit unsupported, is to try ATI's proprietary fglrx
driver, which may or may not support this chip.

If you require additional assistance, please contact Red Hat support services
at http://www.redhat.com/support or by calling 1-888-RED-HAT1 and a support
representative will assist you.


Setting status to "NEXTRELEASE"  (RHEL 5)

Note You need to log in before you can comment on or make changes to this bug.